Skip to content

List the users of a merchant

GET
/v1/admin/merchants/{merchant_id}/users/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant.

Formatuuid

Response Body

The users.

application/json
  1. response
[index: integer]?
curl -X GET 'https://api.example.com/v1/admin/merchants/497f6eca-6276-4993-bfeb-53cbbbba6f08/users/' \  --user "$API_KEY:"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "merchant_id": "500924a8-3f5e-4c00-beb8-2efcde988aea",    "created": "2019-08-24T14:15:22Z",    "modified": "2019-08-24T14:15:22Z",    "email": "alex@example.com",    "status": "pending",    "legal_name": "Alex Example",    "salutation": "mr",    "phone_numbers": [      "string"    ],    "locale": "en_GB",    "timezone": "string",    "roles": [      "3e67ee41-e431-4abb-a52b-02eab88ad745"    ],    "permissions": {      "property1": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      },      "property2": {        "GET": true,        "POST": true,        "PUT": true,        "DELETE": true,        "*": true      }    },    "field_permissions": {      "property1": {        "property1": {          "read": true,          "write": true        },        "property2": {          "read": true,          "write": true        }      },      "property2": {        "property1": {          "read": true,          "write": true        },        "property2": {          "read": true,          "write": true        }      }    },    "mfa": {},    "last_login": "2019-08-24T14:15:22Z"  }]